Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.objexcel.gui
Class FileSystemModel

    java.lang.Object
      |
      +--com.objexcel.gui.TreeModelSupport
            |
            +--com.objexcel.gui.AbstractTreeModel
                  |
                  +--com.objexcel.gui.FileSystemModel

public final class FileSystemModel
extends com.objexcel.gui.AbstractTreeModel
implements java.io.Serializable

models a file system for the swing tree model.

See Also:
  Serialized Form

Constructor Summary
`FileSystemModel(java.lang.String startPath)`

Method Summary
`java.lang.Object` | `getChild(java.lang.Object parent, int index)`
`int` | `getChildCount(java.lang.Object parent)`
`java.lang.Object[]` | `getChildren(java.lang.Object parent)` not part of the TreeModel interface but it is a more efficient way of getting the children that repeating calls to getChild(index) BTW: values are sorted directories first files.
`int` | `getIndexOfChild(java.lang.Object parent, java.lang.Object child)`
`java.lang.Object` | `getRoot()`
`boolean` | `isLeaf(java.lang.Object node)`
`void` | `valueForPathChanged(javax.swing.tree.TreePath path, java.lang.Object newValue)`

Methods inherited from class com.objexcel.gui.TreeModelSupport
`addTreeModelListener, fireTreeNodesChanged, fireTreeNodesInserted, fireTreeNodesRemoved, fireTreeStructureChanged, removeTreeModelListener`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FileSystemModel

    public FileSystemModel(java.lang.String startPath)

Method Detail

### getRoot

    public java.lang.Object getRoot()

### getChildren

    public java.lang.Object[] getChildren(java.lang.Object parent)

  not part of the TreeModel interface but it is a more efficient way of getting the children that repeating calls to getChild(index) BTW: values are sorted directories first files. Both by name.

### getChild

    public java.lang.Object getChild(java.lang.Object parent,
                                     int index)

### getChildCount

    public int getChildCount(java.lang.Object parent)

### isLeaf

    public boolean isLeaf(java.lang.Object node)

### valueForPathChanged

    public void valueForPathChanged(javax.swing.tree.TreePath path,
                                    java.lang.Object newValue)

### getIndexOfChild

    public int getIndexOfChild(java.lang.Object parent,
                               java.lang.Object child)

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD